import * as O from 'fp-ts/Option';
import { BasicProfile, UserProfile } from '../../store/benefits-app.store';
export declare class RoleManagementService {
  getBasicProfileByEmail(email: string): Promise<O.Option<BasicProfile>>;
  getEditorProfiles(): Promise<void>;
  removeSelectedEditor(): Promise<void>;
  showRemoveEditorDialog(editorProfile: UserProfile): void;
  addEditorByEmail(email: string): Promise<O.Option<BasicProfile>>;
}
declare const _default: RoleManagementService;
export default _default;
